libzypp 17.38.15

zyppng::MaybeAsyncMixin Struct Reference

`#include <zypp/ng/workflows/logichelpers.h>`

Inheritance diagram for zyppng::MaybeAsyncMixin:

## Public Types
template<class Type>
using | MaybeAsyncRef = MaybeAwaitable<Type>

## Static Public Attributes
static constexpr bool | is_async = ZYPP_IS_ASYNC

## Detailed Description

Helper Mixin for types that need to return async results if they are compiled in a async context.

Definition at line 35 of file logichelpers.h.

## Member Typedef Documentation

## ◆ MaybeAsyncRef

template<class Type>

using zyppng::MaybeAsyncMixin::MaybeAsyncRef = MaybeAwaitable<Type>

Evaluates to either AsyncOpRef<Type> or Type ,based on the isAsync template param.

Definition at line 44 of file logichelpers.h.

## Member Data Documentation

## ◆ is_async

bool zyppng::MaybeAsyncMixin::is_async = ZYPP_IS_ASYNC
| static constexpr

Definition at line 38 of file logichelpers.h.

The documentation for this struct was generated from the following file:

- zypp/ng/workflows/logichelpers.h